Page MenuHomePhabricator

Catch Exceptions where the entity can not be serialized due to being too big and Log & present the user with a nice error in APIs
Closed, ResolvedPublic3 Story Points

Description

Our handling of the issue of entities being "too large" leaves something to be desired.

In T215380 when people try to edit large items we just end up spamming the logs with exceptions.
Instead we should spam the logs with something a little less scary Notice or Warning and show a nice error to the user instead of an exception.

Should be fixed for:

  • Wikibase APIs
  • WikibaseLexeme APIs
  • Special Pages

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2019, 9:59 AM
Addshore removed Magnus as the assignee of this task.Mar 6 2019, 10:00 AM
Addshore triaged this task as Normal priority.
Addshore moved this task from Incoming to Needs Work on the Wikidata-Campsite board.
Addshore added a subscriber: Magnus.
alaa_wmde set the point value for this task to 3.Mar 12 2019, 3:56 PM
alaa_wmde updated the task description. (Show Details)Mar 12 2019, 4:28 PM
Restricted Application added a project: User-Noarave. · View Herald TranscriptApr 10 2019, 7:43 AM

Change 504264 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/Wikibase@master] WIP Catch Exceptions where the entity can not be serialized due to being too big

https://gerrit.wikimedia.org/r/504264

Change 506353 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/Wikibase@master] Catch Exceptions where the entity can not be serialized due to being too big

https://gerrit.wikimedia.org/r/506353

Change 506354 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/Wikibase@master] Catch Exceptions where the entity can not be serialized due to being too big

https://gerrit.wikimedia.org/r/506354

Change 506354 abandoned by Noa wmde:
Catch Exceptions where the entity can not be serialized due to being too big

Reason:
duplicate change

https://gerrit.wikimedia.org/r/506354

Change 506353 abandoned by Noa wmde:
Catch Exceptions where the entity can not be serialized due to being too big

Reason:
duplicate change

https://gerrit.wikimedia.org/r/506353

Change 504264 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Catch Exceptions where the entity can not be serialized due to being too big

https://gerrit.wikimedia.org/r/504264

Claiming this done as long as not proven otherwise in T215380.